
registerType('appdoo.iOS', (function () { function CellContentView() {} var __super = setSupertypeFromDomain(CellContentView, 'ViewGroup', 'appdoo.iOS');

	Object.defineProperty(CellContentView.prototype, "indexPath", {
	enumerable: true, 
	outlet: true, get:function () { return this._indexPath; }, set:function (v) {if (!Object.hasOwnProperty(this, "_indexPath")) Object.defineProperty(this, "_indexPath", { writable: true, configurable: true }); this._indexPath = v; }});
	

	Object.defineProperty(CellContentView.prototype, "widthIsEditable", {
		value: false});
	

	Object.defineProperty(CellContentView.prototype, "heightIsEditable", {
		value: false});
	

	Object.defineProperty(CellContentView.prototype, "xIsEditable", {
		value: false});
	

	Object.defineProperty(CellContentView.prototype, "yIsEditable", {
		value: false});
	

	Object.defineProperty(CellContentView.prototype, "positionIsEditable", {
		value: false});
	

	Object.defineProperty(CellContentView.prototype, "sizeIsEditable", {
		value: true});
	

	Object.defineProperty(CellContentView.prototype, "nameIsEditable", {
		value: false});
	
	
	Object.defineProperty(CellContentView.prototype, "autoresizingMaskIsEditable", {
		value: false});
	

	Object.defineProperty(CellContentView.prototype, "canHaveLayoutRelations", {
		value: false});
	
	
CellContentView.prototype.acceptsMemberWithUTI = function CellContentView_acceptsMemberWithUTI(uti) {
		if (!__super.prototype.acceptsMemberWithUTI.call(this, uti))
			return false;
		var p = getPrototype(uti);
		return p && !(p instanceof getType('Core.UI.ItemsView'));};
	

	Object.defineProperty(CellContentView.prototype, "navigatesToDetailScene", {
	outlet: true, 
	enumerable: true, get:function () { return this._navigatesToDetailScene; }, set:function (v) {if (!Object.hasOwnProperty(this, "_navigatesToDetailScene")) Object.defineProperty(this, "_navigatesToDetailScene", { writable: true, configurable: true }); this._navigatesToDetailScene = v; }});
	
	
	Object.defineProperty(CellContentView.prototype, "detailSceneID", {
	outlet: true, 
	enumerable: true, get:function () { return this._detailSceneID; }, set:function (v) {if (!Object.hasOwnProperty(this, "_detailSceneID")) Object.defineProperty(this, "_detailSceneID", { writable: true, configurable: true }); this._detailSceneID = v; }});
	

	Object.defineProperty(CellContentView.prototype, "e_navigatesToDetailScene", {
		get: function ( ) { return this.navigatesToDetailScene; }, 
		set: function (v) {
			if (this.cellView) this.cellView.accessoryType =  v ? "disclosureIndicator" : null;
			this.navigatesToDetailScene = v;
			this.updateSegue();
			_context.editor.refreshInspector();
		}});
	

	Object.defineProperty(CellContentView.prototype, "e_detailSceneID", {
		get: function ( ) {
			if (this.e_navigatesToDetailScene)
				return this.detailSceneID;
		}, 
		set: function (v) {
			this.detailSceneID = v;
			this.updateSegue();
		}});
	

	Object.defineProperty(CellContentView.prototype, "modalTransitionStyle", {
	outlet: true, 
	enumerable: true, 
		get: function () {
			if (this._modalTransitionStyle === undefined) return '-1';
			return this._modalTransitionStyle;
		}, set:function (v) {if (!Object.hasOwnProperty(this, "_modalTransitionStyle")) Object.defineProperty(this, "_modalTransitionStyle", { writable: true, configurable: true }); this._modalTransitionStyle = v; }});
	

CellContentView.prototype.updateSegue = function CellContentView__updateSegue() {
		_context.editor.updateSegueForView__type__destination__(this, 'push', this.e_detailSceneID);};
	
	
	Object.defineProperty(CellContentView.prototype, "inspectorProperties", {
		get: function () {
			var properties = Object.getOwnPropertyDescriptor(__super.prototype, 'inspectorProperties').get.call(this);
			
			if (this.isStaticCell) {
				properties.push({
					type: 'group',
					title: LocalizedString('Navigation'),
					id: 'UITableViewContent',
					items: [

						{ name: LocalizedString("Use a Navigation Target"), type: "boolean", keyPath: "e_navigatesToDetailScene", "positionLeft": true },
						
						{ name: '', keyPath: 'detailSceneID', type: 'scene', labelOnTop: true, allowsEmptySelection:true, numberOfVisibleItems:1, hidden: !this.e_navigatesToDetailScene },

					]
				});
			}
			
			return properties;
		}});
	
	
CellContentView.prototype.deleteForEditor = function CellContentView_deleteForEditor(editor) {
		if (this.isPrototype) return false;};
	

CellContentView.prototype.transformData = function CellContentView_transformData(data, transformer, options) {
		if (transformer.isXIBGenerator) {
			var result = __super.prototype.transformData.call(this, data, transformer, {useDefaultInitializer:true});
			
			return result;
		}
		else {
			var result = __super.prototype.transformData.call(this, data, transformer, {useDefaultInitializer:true});
			if (!result.backgroundColor) result.backgroundColor = transformer.transformCSSColor('rgba(0,0,0,0)');
			result.$type = this.constructor.name;
			
			result.detailSceneID = transformer.transformString(data.detailSceneID);
			result.navigatesToDetailScene = transformer.transformBoolean(data.navigatesToDetailScene);
			
			return result;
		}};
	

CellContentView.prototype.initPropertiesFromData = function CellContentView_initPropertiesFromData(data) {
try { __super.prototype.initPropertiesFromData.call(this, data); } catch (err) {}
if (data.hasOwnProperty("indexPath")) this.indexPath = data.indexPath;
if (data.hasOwnProperty("navigatesToDetailScene")) this.navigatesToDetailScene = data.navigatesToDetailScene;
if (data.hasOwnProperty("detailSceneID")) this.detailSceneID = data.detailSceneID;
if (data.hasOwnProperty("modalTransitionStyle")) this.modalTransitionStyle = data.modalTransitionStyle;
};

CellContentView.prototype.decodeData = function CellContentView_decodeData(data) { var decoded;
try { decoded = __super.prototype.decodeData.call(this, data); } catch (err) { console.warn(err); decoded = clone(data); }
return decoded; };

CellContentView.prototype.encode = function CellContentView_encode() { var encoded;
try { encoded = __super.prototype.encode.call(this); } catch (err) { console.warn(err); encoded = this.context.encodeObject(this); }
return encoded; };

CellContentView.prototype.encodeCloned = function CellContentView_encodeCloned() { var encoded;
try { encoded = __super.prototype.encodeCloned.call(this); } catch (err) { console.warn(err); encoded = {}; }
return encoded; };

CellContentView.prototype.expectedTypeForProperty = function CellContentView_expectedTypeForProperty(key) {
	if (key === "indexPath") return "";
	if (key === "widthIsEditable") return "";
	if (key === "heightIsEditable") return "";
	if (key === "xIsEditable") return "";
	if (key === "yIsEditable") return "";
	if (key === "positionIsEditable") return "";
	if (key === "sizeIsEditable") return "";
	if (key === "nameIsEditable") return "";
	if (key === "autoresizingMaskIsEditable") return "";
	if (key === "canHaveLayoutRelations") return "";
	if (key === "navigatesToDetailScene") return "Boolean";
	if (key === "detailSceneID") return "String";
	if (key === "e_navigatesToDetailScene") return "Boolean";
	if (key === "e_detailSceneID") return "String";
	if (key === "modalTransitionStyle") return "String";
	if (key === "inspectorProperties") return "";
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return CellContentView; }()));